use std::collections::HashMap;

use super::InLevelAvatarDataItem;

pub struct TeamDataItem {
    pub avatar_member_list: Vec<InLevelAvatarDataItem>,
}

impl TeamDataItem {
    pub fn new(avatars: &[u32]) -> Self {
        Self {
            avatar_member_list: avatars
                .iter()
                .map(|id| InLevelAvatarDataItem {
                    avatar_id: *id,
                    mp_property_override: HashMap::new(),
                })
                .collect(),
        }
    }
}
